NameUpdater (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.util, class: NameUpdater

Package org.apache.jmeter.util

# Class NameUpdater

java.lang.Object
org.apache.jmeter.util.NameUpdater

public final class NameUpdater extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getCurrentName(String className)`
  Looks up the class name; if that does not exist in the map, then defaults to the input name.
  `static String`
  `getCurrentName(String propertyName, String className)`
  Looks up class name / property name combination; if that does not exist in the map, then defaults to input property name.
  `static String`
  `getCurrentName(String value, String propertyName, String className)`
  Looks up class name .
  `static String`
  `getCurrentTestName(String testClassName, String guiClassName)`
  Looks up test element / gui class combination; if that does not exist in the map, then defaults to getCurrentName(testClassName).
  `static boolean`
  `isMapped(String key)`
  Check if a key is in the map; intended for use by `SaveService#checkClasses()` only.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getCurrentName

    public static String getCurrentName(String className)
    Looks up the class name; if that does not exist in the map, then defaults to the input name.
    Parameters:
      `className` - the classname from the script file
    Returns:
      the class name to use, possibly updated.

  - ### getCurrentTestName

    public static String getCurrentTestName(String testClassName, String guiClassName)
    Looks up test element / gui class combination; if that does not exist in the map, then defaults to getCurrentName(testClassName).
    Parameters:
      `testClassName` - - test element class name
      `guiClassName` - - associated gui class name
    Returns:
      new test class name

  - ### getCurrentName

    public static String getCurrentName(String propertyName, String className)
    Looks up class name / property name combination; if that does not exist in the map, then defaults to input property name.
    Parameters:
      `propertyName` - - property name to check
      `className` - - class name containing the property
    Returns:
      possibly updated property name

  - ### getCurrentName

    public static String getCurrentName(String value, String propertyName, String className)
    Looks up class name . property name / value combination; if that does not exist in the map, returns the original value.
    Parameters:
      `value` - the value to be checked
      `propertyName` - the name of the property
      `className` - the class containing the propery.
    Returns:
      the value, updated if necessary

  - ### isMapped

    public static boolean isMapped(String key)
    Check if a key is in the map; intended for use by `SaveService#checkClasses()` only.
    Parameters:
      `key` - name of the key to check
    Returns:
      true if the key is in the map